## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XalanEXSLTFunctionIntersection Class Reference

Inheritance diagram for XalanEXSLTFunctionIntersection:

[legend]
Collaboration diagram for XalanEXSLTFunctionIntersection:

[legend]
List of all members.

## Public Member Functions

- XalanEXSLTFunctionIntersection ()
- virtual ~XalanEXSLTFunctionIntersection ()
- virtual XalanEXSLTFunctionIntersection * clone (MemoryManagerType &theManager) const
    Create a copy of the function object.

## Protected Member Functions

- virtual const XalanDOMString & getError (XalanDOMString &theBuffer) const
    Get the error message to report when the function is called with the wrong number of arguments.

## Constructor & Destructor Documentation

XalanEXSLTFunctionIntersection::XalanEXSLTFunctionIntersection | ( |  | ) |

virtual XalanEXSLTFunctionIntersection::~XalanEXSLTFunctionIntersection | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual XalanEXSLTFunctionIntersection* XalanEXSLTFunctionIntersection::clone | ( | MemoryManagerType & | theManager | ) | const`[virtual]`

| Create a copy of the function object. Returns: pointer to the new object Reimplemented from FunctionIntersection.

virtual const XalanDOMString& XalanEXSLTFunctionIntersection::getError | ( | XalanDOMString & | theBuffer | ) | const`[protected, virtual]`

| Get the error message to report when the function is called with the wrong number of arguments. Returns: function error message Reimplemented from FunctionIntersection.

The documentation for this class was generated from the following file:

- XalanEXSLTSetImpl.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.